Name:          libpsm2
Version:       10.3.58
Release:       6
Summary:       Intel PSM Libraries
License:       BSD or GPLv2
URL:           https://github.com/01org/opa-psm2/

Source0:       https://github.com/intel/opa-psm2/archive/PSM2_10.3.58.tar.gz
#extend fdesc array
Patch0:        0000-extend-fdesc-array.patch
Patch1:        fix-stringop-truncation-build-error.patch

ExclusiveArch: x86_64
BuildRequires: libuuid-devel numactl-devel
Obsoletes:     hfi1-psm < 1.0.0

%package       devel
Summary:       Development files for Intel PSM
Requires:      libpsm2 = %{version}-%{release} libuuid-devel

%package       compat
Summary:       Compat library for Intel PSM
Requires:      libpsm2 = %{version}-%{release} systemd-udev

%global _privatelibs libpsm_infinipath[.]so[.]1.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

%description
The PSM Messaging API, or PSM API, is the low-level user-level communications interface for the Intel OPA
family of products. PSM users are enabled with mechanisms necessary to implement higher level communications
interfaces in parallel environments. The PSM2 library supports a number of fabric media and stack.

%description   devel
Development package for the Intel PSM library

%description   compat
Support for MPIs linked with PSM versions less than 2

%prep
%autosetup -n opa-psm2-PSM2_10.3.58 -p1

%build
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%license COPYING
%{_libdir}/libpsm2.so.2.1
%{_libdir}/libpsm2.so.2
%{_udevrulesdir}/40-psm.rules

%files devel
%{_libdir}/libpsm2.so
%{_includedir}/psm2.h
%{_includedir}/psm2_mq.h
%{_includedir}/psm2_am.h
%{_includedir}/hfi1diag

%files compat
%{_libdir}/psm2-compat
%{_udevrulesdir}/40-psm-compat.rules
%{_prefix}/lib/libpsm2
%{_sysconfdir}/modprobe.d/libpsm2-compat.conf

%changelog
* Thu Jul 02 2020 senlin <xiasenlin1@huawei.com> - 10.3.58-6
- Fix stringop-truncation build error

* Tue Mar 17 2020 yanglijin<yanglijin@huawei.com> - 10.3.58-5
- fix provides

* Mon Mar 16 2020 gulining<gulining1@huawei.com> - 10.3.58-4
- fix install error with wrong release

* Wed Mar 4 2020 zhangtao <zhangtao221@huawei.com> - 10.3.58-3
- Package init
